Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class ProcessRuntimeTool

    java.lang.Object
      org.jprocessunit.addon.jpd.util.ProcessRuntimeTool

    public class ProcessRuntimeTool

extends java.lang.Object

Class wrapping the ProcessRuntimeMBean and providing utility methods.

Author:
  Reza Shafii

Constructor Summary
`ProcessRuntimeTool()`

Method Summary
`static java.lang.String` | `getLabel(java.lang.String instanceId)`
`static com.bea.wli.management.runtime.ProcessVariableValue` | `getProcessVariableValue(java.lang.String processServiceUri, java.lang.String processInstanceId, java.lang.String varName)`
`static java.lang.String` | `getRecursiveProcessInstanceID(java.lang.String parentServiceUri, java.lang.String parentInstanceId, java.lang.String targetServiceUri)`
`static java.lang.String` | `getRecursiveProcessLabel(java.lang.String parentServiceUri, java.lang.String parentInstanceId, java.lang.String targetServiceUri)`
`static com.bea.wli.bpm.runtime.ProcessStatus` | `getRecursiveProcessStatus(java.lang.String parentServiceUri, java.lang.String parentInstanceId, java.lang.String targetServiceUri)`
`static com.bea.wli.management.runtime.ProcessVariableValue` | `getRecursiveProcessVariableValue(java.lang.String parentServiceUri, java.lang.String parentInstanceId, java.lang.String targetServiceUri, java.lang.String varName)`
`static com.bea.wli.bpm.runtime.ProcessStatus` | `getStatus(java.lang.String instanceId)`
`static java.lang.Integer` | `verifiedInteger(com.bea.wli.management.runtime.ProcessVariableValue value)` Asserts that the value of the parameter is an Integer and if so returns it in that format.
`static java.lang.Long` | `verifiedLong(com.bea.wli.management.runtime.ProcessVariableValue value)` Asserts that the value of the parameter is a Long and if so returns it in that format.
`static java.lang.String` | `verifiedString(com.bea.wli.management.runtime.ProcessVariableValue value)` Asserts that the value of the parameter is a String and if so returns it in that format.
`static org.apache.xmlbeans.XmlObject` | `verifiedXml(com.bea.wli.management.runtime.ProcessVariableValue value)` Asserts that the value of the parameter is an XmlObject and if so returns it in that format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessRuntimeTool

    public ProcessRuntimeTool()

Method Detail

### getProcessVariableValue

    public static com.bea.wli.management.runtime.ProcessVariableValue getProcessVariableValue(java.lang.String processServiceUri,
                                                                                              java.lang.String processInstanceId,
                                                                                              java.lang.String varName)

### getLabel

    public static java.lang.String getLabel(java.lang.String instanceId)

  Returns:
    Label of given JPD instance

### getStatus

    public static com.bea.wli.bpm.runtime.ProcessStatus getStatus(java.lang.String instanceId)

  Returns:
    Status of given JPD instance

### getRecursiveProcessVariableValue

    public static com.bea.wli.management.runtime.ProcessVariableValue getRecursiveProcessVariableValue(java.lang.String parentServiceUri,
                                                                                                       java.lang.String parentInstanceId,
                                                                                                       java.lang.String targetServiceUri,
                                                                                                       java.lang.String varName)

### getRecursiveProcessLabel

    public static java.lang.String getRecursiveProcessLabel(java.lang.String parentServiceUri,
                                                            java.lang.String parentInstanceId,
                                                            java.lang.String targetServiceUri)

### getRecursiveProcessStatus

    public static com.bea.wli.bpm.runtime.ProcessStatus getRecursiveProcessStatus(java.lang.String parentServiceUri,
                                                                                  java.lang.String parentInstanceId,
                                                                                  java.lang.String targetServiceUri)

### getRecursiveProcessInstanceID

    public static java.lang.String getRecursiveProcessInstanceID(java.lang.String parentServiceUri,
                                                                 java.lang.String parentInstanceId,
                                                                 java.lang.String targetServiceUri)

### verifiedString

    public static java.lang.String verifiedString(com.bea.wli.management.runtime.ProcessVariableValue value)

  Asserts that the value of the parameter is a String and if so returns it in that format.

### verifiedLong

    public static java.lang.Long verifiedLong(com.bea.wli.management.runtime.ProcessVariableValue value)

  Asserts that the value of the parameter is a Long and if so returns it in that format.

### verifiedInteger

    public static java.lang.Integer verifiedInteger(com.bea.wli.management.runtime.ProcessVariableValue value)

  Asserts that the value of the parameter is an Integer and if so returns it in that format.

### verifiedXml

    public static org.apache.xmlbeans.XmlObject verifiedXml(com.bea.wli.management.runtime.ProcessVariableValue value)

  Asserts that the value of the parameter is an XmlObject and if so returns it in that format.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API